(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/common')) :
	typeof define === 'function' && define.amd ? define(['exports', '@angular/core', '@angular/common'], factory) :
	(factory((global.ecubed = global.ecubed || {}, global.ecubed['ng-foundations'] = {}),global.ng.core,global.ng.common));
}(this, (function (exports,core,common) { 'use strict';

var ResultSet = /** @class */ (function () {
    function ResultSet(instantiable) {
        this.instantiable = instantiable;
        this.records = new Array();
    }
    ResultSet.prototype.assign = function (obj) {
        this.currentPage = obj.currentPage;
        this.pageSize = obj.pageSize;
        this.hasNextResults = obj.hasNextResults;
        this.hasPreviousResults = obj.hasPreviousResults;
        this.totalRecordsCount = obj.totalRecordsCount;
        this.records = new Array();
        this.numPages = obj.numPages;
        for (var i = 0; i < obj.records.length; i++) {
            var newRecord = new this.instantiable();
            newRecord.assign(obj.records[i]);
            this.records.push(newRecord);
        }
    };
    return ResultSet;
}());
var FoundationsModule = /** @class */ (function () {
    function FoundationsModule() {
    }
    return FoundationsModule;
}());
FoundationsModule.decorators = [
    { type: core.NgModule, args: [{
                imports: [
                    common.CommonModule
                ],
                declarations: []
            },] },
];
FoundationsModule.ctorParameters = function () { return []; };

exports.ResultSet = ResultSet;
exports.FoundationsModule = FoundationsModule;

Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=ecubed-ng-foundations.umd.js.map
