import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

var ResultSet = /** @class */ (function () {
    function ResultSet(instantiable) {
        this.instantiable = instantiable;
        this.records = new Array();
    }
    ResultSet.prototype.assign = function (obj) {
        this.currentPage = obj.currentPage;
        this.pageSize = obj.pageSize;
        this.hasNextResults = obj.hasNextResults;
        this.hasPreviousResults = obj.hasPreviousResults;
        this.totalRecordsCount = obj.totalRecordsCount;
        this.records = new Array();
        this.numPages = obj.numPages;
        for (var i = 0; i < obj.records.length; i++) {
            var newRecord = new this.instantiable();
            newRecord.assign(obj.records[i]);
            this.records.push(newRecord);
        }
    };
    return ResultSet;
}());
var FoundationsModule = /** @class */ (function () {
    function FoundationsModule() {
    }
    return FoundationsModule;
}());
FoundationsModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule
                ],
                declarations: []
            },] },
];
FoundationsModule.ctorParameters = function () { return []; };

export { ResultSet, FoundationsModule };
//# sourceMappingURL=ecubed-ng-foundations.js.map
