import { Assignable } from './assignable';
export interface Instantiable<T> {
    new (): T;
}
export declare class ResultSet<T extends Assignable> {
    private instantiable;
    currentPage: number;
    pageSize: number;
    hasNextResults: boolean;
    hasPreviousResults: boolean;
    totalRecordsCount: number;
    records: Array<T>;
    numPages: number;
    constructor(instantiable: Instantiable<T>);
    assign(obj: any): void;
}
